<?php
$objGet = System::genObject('get');

list($minDate,$maxDate) = @explode(' - ',$objGet->range);
list($minDay,$minMonth,$minYear) = @explode('.',$minDate);
list($maxDay,$maxMonth,$maxYear) = @explode('.',$maxDate);

$objMinDate = new QDateTime($minYear.'-'.$minMonth.'-'.$minDay.'00:00:00');
$objMaxDate = new QDateTime($maxYear.'-'.$maxMonth.'-'.$maxDay.'23:59:59');

$objDb = QApplication::$Database[1];

$strWhereTambahan = "";
if($objGet->dokter){
    $strWhereTambahan1 = " AND mediator_id = '$objGet->dokter' ";
}
$strSql = "
    SELECT
    hmis_patient_nursing_adm_billing.patient_name,
    hmis_patient_nursing_adm_billing.patient_code,
    hmis_patient_nursing_adm_billing.product_name,
    hmis_patient_nursing_adm_billing.mediator_name,
    hmis_patient_nursing_adm_billing.patient_department_name,
    hmis_patient_nursing_adm_billing.quantity,
    hmis_patient_nursing_adm_billing.current_price,
    hmis_patient_nursing_adm_billing.current_billing,
    hmis_patient_nursing.contract_service_code,
    hmis_patient_nursing.contract_service_name,
    hmis_patient_nursing_adm_billing.state,
    hmis_patient_nursing_adm_billing.personal_payment_activity_id,
    hmis_patient_nursing_adm_billing.k1,
    hmis_patient_nursing_adm_billing.create_time,
    hmis_patient_nursing_adm_billing.return_quantity,
    hmis_patient_nursing_adm_billing.return_value,
    hmis_patient_nursing.nursing_category,
    hmis_patient_nursing.department_name,
    hmis_patient_nursing.register_claimable,
    hmis_patient_nursing_payment_kediri.payment_bank,
    hmis_patient_nursing_payment_kediri.payment_cashier,
    hmis_patient_nursing_payment_kediri.state,
    hmis_patient_nursing_payment_kediri.payment_non_cash
    FROM hmis_patient_nursing_adm_billing
    JOIN hmis_patient_nursing ON hmis_patient_nursing_adm_billing.patient_nursing_id = hmis_patient_nursing.id
    LEFT JOIN hmis_patient_nursing_payment_kediri ON (
        hmis_patient_nursing_adm_billing.personal_payment_activity_id = hmis_patient_nursing_payment_kediri.payment_bank
        OR hmis_patient_nursing_adm_billing.personal_payment_activity_id = hmis_patient_nursing_payment_kediri.payment_cashier
        OR hmis_patient_nursing_adm_billing.personal_payment_activity_id = hmis_patient_nursing_payment_kediri.payment_non_cash
        OR hmis_patient_nursing_adm_billing.personal_payment_activity_id = hmis_patient_nursing_payment_kediri.activity_id
        )
    WHERE
    hmis_patient_nursing_adm_billing.state = 'A'
    and hmis_patient_nursing_adm_billing.billing_group = '1'
    and hmis_patient_nursing_adm_billing.patient_department_name LIKE '%RUANG%'
    AND hmis_patient_nursing_adm_billing.patient_nursing_on_partition BETWEEN '".$objMinDate->PhpDate('Y-m-d H:i:s')."' AND '".$objMaxDate->PhpDate('Y-m-d H:i:s')."'
    $strWhereTambahan
    ORDER BY
   -- hmis_patient_nursing_payment_kediri.state,
   -- hmis_patient_nursing_payment_kediri.payment_cashier ASC,
   -- hmis_patient_nursing.contract_service_code DESC,
   -- hmis_patient_nursing_adm_billing.billing_group desc,
    hmis_patient_nursing_adm_billing.product_name asc
   -- hmis_patient_nursing.nursing_category DESC,

--    hmis_patient_nursing_adm_billing.personal_payment_activity_id asc,
--    hmis_patient_nursing.register_claimable desc
";
$temp = array();
$objDbResult = $objDb->Query($strSql);

if($objGet->excel == 'excel'){
    header("Content-type: application/vnd-ms-excel");
    header("Content-Disposition: attachment; filename=download.xls");
}
?>

<!DOCTYPE html>
<html>

<head>
    <meta charset='utf-8'>
    <meta http-equiv='X-UA-Compatible' content='IE=edge'>
    <title>Laporan</title>
    <meta name='viewport' content='width=device-width, initial-scale=1'>
    <script src="<?= __ASSETS__ . '/user/js/require.js' ?>"></script>
    <!-- <link href="<?= __ASSETS__ ?>/bootstrap/css/bootstrap.min.css" rel="stylesheet"> -->
    <style>

.table {
  font-family: Arial, Helvetica, sans-serif;
  font-size: 10px;
  border-collapse: collapse;
  width: 100%;
}

.table td, .table th {
  border: 1px solid #ddd;
  padding: 8px;
}

.table tr:nth-child(even){background-color: #f2f2f2;}

.table tr:hover {background-color: #ddd;}

.table th {
  padding-top: 12px;
  padding-bottom: 12px;
  text-align: center;
  background-color: #222;
  color: white;
}
.th-sticky1{
    position: sticky;
    top: 0;
}
.th-sticky2{
    position: sticky;
    top: 43px;
}

    </style>

</head>

<body>

<?php if($objGet->excel != 'excel'){ ?>
    <div class="noprint">
        <a href="#" onclick="window.close()">
        <img src="/promedika/assets/user/images/arrow.jpg" title="print" width="30" height="30">
        
        </a>
    </div>
<?php } ?>


<table id="tableLaporan" class="table">
    <thead>
      <tr>
            <th colspan="48" align=left>LAPORAN KEUANGAN PENJUALAN FARMASI RAWAT INAP</th>
      </tr>
      <tr>
            <th></th>
            <th>Tanggal:</th>
            <th colspan="46" style="text-align: left"><?= $objGet->range ?></th>
      </tr>
      <tr>
        <th>No</th>
        <th>Nama Penderita</th>
        <th>No RM</th>
        <th>Nama Tindakan</th>
        <th>Nama Dokter</th>
        <th>Tanggal</th>
        <th>Jumlah</th>
        <th>Tarif</th>
        <th>Total</th>
<!--        <th>Jasa Pelayanan</th>-->
        <th>Cara Bayar</th>
        <th>Perawatan</th>
        <th>Status</th>
        <th>Retur</th>
        <th>Total Penjualan - Retur</th>
        <th>Total Penjualan - Retur (Rp.)</th>
      </tr>
    </thead>
    <tbody>
    <?php
    if ($objDbResult->CountRows() > 0) {
        $no = 0;
        $total += $row['current_billing'];
        while ($row = $objDbResult->FetchArray()) {
            $no++;
            $status = "";
            $id_bayar = $row['payment_bank'] ? $row['payment_bank'] : ($row['payment_cashier'] ? $row['payment_cashier'] : $row['payment_non_cash']); //jika var id_bayar tdk kosong berarti sudah bayar
            
            if($row['contract_service_code'] == 'TUNAI' || $row['contract_service_code'] == 'UMUM'){
                $tunai = true;
            }else{
                $tunai = false;
            }
            //logic status
            if($tunai && $row['nursing_category'] == 1 && !$id_bayar ){
                $status = 'BELUM BAYAR';
            }elseif(!$tunai && !$id_bayar){
                $status = "PELAYANAN";
            }elseif($tunai && $row['nursing_category'] != 1 && !$id_bayar){
                $status = "PELAYANAN";
            }elseif(!$tunai && $id_bayar){
                $status = 'PROSES KLAIM';
            }elseif($tunai && $id_bayar){
                $status = 'TERBAYAR';
            }elseif(!$tunai && $row['register_claimable'] == 'N'){
                $status = 'klaim dipindahkan';
            }



            // personal_payment_activity_id
            // contract_service_code
            // nursing_category
            // belum terbayar / proses klaim / terbayar

            
    ?>
    <tr>
        <td><?= $no ?></td>
        <td><?= $row['patient_name'] ?></td>
        <td><?= $row['patient_code'] ?></td>
        <td><?= $row['product_name'] ?></td>
        <td><?= $row['mediator_name'] ?></td>
        <td><?= $row['create_time'] ?></td>
        <td style="text-align:right"><?= $row['quantity'] ?></td>
        <td style="text-align:right"><?= $row['create_price'] ?></td>
        <td style="text-align:right"><?= $row['current_billing'] ?></td>
       <!-- <td style="text-align:right"><?= $row['k1'] ?></td>-->
        <td><?= $row['contract_service_name'] ?></td>
        <td><?= $row['department_name'] ?></td>
        <td><?= $status ?></td>
        <td style="text-align:right"><?= $row['return_quantity'] ?></td>
        <td style="text-align:right"><?= $row['quantity'] - $row['return_quantity'] ?></td>
        <td style="text-align:right"><?= $row['current_billing'] - $row['return_value'] ?></td>
    </tr>
    <?php
		$no++;
	        $total += $row['current_billing'];
		$totalretur += $row['return_value'];
		$totalminretur += $row['current_billing']-$row['return_value'];
        }
    }
    ?>
<tr>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td align=right><?= ($total) ?></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td align=right><?= ($totalretur) ?></td>
<td align=right><?= ($totalminretur) ?></td>
    </tbody>
</table>

<?php
$objGet = System::genObject('get');

list($minDate,$maxDate) = @explode(' - ',$objGet->range);
list($minDay,$minMonth,$minYear) = @explode('.',$minDate);
list($maxDay,$maxMonth,$maxYear) = @explode('.',$maxDate);

$objMinDate = new QDateTime($minYear.'-'.$minMonth.'-'.$minDay.'00:00:00');
$objMaxDate = new QDateTime($maxYear.'-'.$maxMonth.'-'.$maxDay.'23:59:59');

$objDb = QApplication::$Database[1];

$strWhereTambahan = "";
if($objGet->dokter){
    $strWhereTambahan1 = " AND mediator_id = '$objGet->dokter' ";
}
$strSql = "
    SELECT
    hmis_patient_nursing_adm_billing.patient_name,
    hmis_patient_nursing_adm_billing.patient_code,
    hmis_patient_nursing_adm_billing.product_name,
    hmis_patient_nursing_adm_billing.mediator_name,
    hmis_patient_nursing_adm_billing.patient_department_name,
    hmis_patient_nursing_adm_billing.quantity,
    hmis_patient_nursing_adm_billing.current_price,
    hmis_patient_nursing_adm_billing.current_billing,
    hmis_patient_nursing.contract_service_code,
    hmis_patient_nursing.contract_service_name,
    hmis_patient_nursing_adm_billing.state,
    hmis_patient_nursing_adm_billing.personal_payment_activity_id,
    hmis_patient_nursing_adm_billing.k1,
    hmis_patient_nursing_adm_billing.create_time,
    hmis_patient_nursing_adm_billing.return_quantity,
    hmis_patient_nursing_adm_billing.return_value,
    hmis_patient_nursing.nursing_category,
    hmis_patient_nursing.department_name,
    hmis_patient_nursing.register_claimable,
    hmis_patient_nursing_payment_kediri.payment_bank,
    hmis_patient_nursing_payment_kediri.payment_cashier,
    hmis_patient_nursing_payment_kediri.state,
    hmis_patient_nursing_payment_kediri.payment_non_cash
    FROM hmis_patient_nursing_adm_billing
    JOIN hmis_patient_nursing ON hmis_patient_nursing_adm_billing.patient_nursing_id = hmis_patient_nursing.id
    LEFT JOIN hmis_patient_nursing_payment_kediri ON (
        hmis_patient_nursing_adm_billing.personal_payment_activity_id = hmis_patient_nursing_payment_kediri.payment_bank
        OR hmis_patient_nursing_adm_billing.personal_payment_activity_id = hmis_patient_nursing_payment_kediri.payment_cashier
        OR hmis_patient_nursing_adm_billing.personal_payment_activity_id = hmis_patient_nursing_payment_kediri.payment_non_cash
        OR hmis_patient_nursing_adm_billing.personal_payment_activity_id = hmis_patient_nursing_payment_kediri.activity_id
        )
    WHERE
    hmis_patient_nursing_adm_billing.state = 'A'
    and hmis_patient_nursing_adm_billing.billing_group = '1'
    and hmis_patient_nursing_adm_billing.patient_department_name LIKE '%Poli%'
    AND hmis_patient_nursing_adm_billing.patient_nursing_on_partition BETWEEN '".$objMinDate->PhpDate('Y-m-d H:i:s')."' AND '".$objMaxDate->PhpDate('Y-m-d H:i:s')."'
    $strWhereTambahan
    ORDER BY
    hmis_patient_nursing_payment_kediri.state,
    hmis_patient_nursing_payment_kediri.payment_cashier ASC,
    hmis_patient_nursing.contract_service_code DESC,
    hmis_patient_nursing_adm_billing.billing_group desc,
    hmis_patient_nursing_adm_billing.product_name desc,
    hmis_patient_nursing.nursing_category DESC,

    hmis_patient_nursing_adm_billing.personal_payment_activity_id asc,
    hmis_patient_nursing.register_claimable desc
";
$temp = array();
$objDbResult = $objDb->Query($strSql);

if($objGet->excel == 'excel'){
    header("Content-type: application/vnd-ms-excel");
    header("Content-Disposition: attachment; filename=download.xls");
}
?>

<!DOCTYPE html>
<html>

<head>
    <meta charset='utf-8'>
    <meta http-equiv='X-UA-Compatible' content='IE=edge'>
    <title>Laporan</title>
    <meta name='viewport' content='width=device-width, initial-scale=1'>
    <script src="<?= __ASSETS__ . '/user/js/require.js' ?>"></script>
    <!-- <link href="<?= __ASSETS__ ?>/bootstrap/css/bootstrap.min.css" rel="stylesheet"> -->
    <style>

.table {
  font-family: Arial, Helvetica, sans-serif;
  font-size: 10px;
  border-collapse: collapse;
  width: 100%;
}

.table td, .table th {
  border: 1px solid #ddd;
  padding: 8px;
}

.table tr:nth-child(even){background-color: #f2f2f2;}

.table tr:hover {background-color: #ddd;}

.table th {
  padding-top: 12px;
  padding-bottom: 12px;
  text-align: center;
  background-color: #222;
  color: white;
}
.th-sticky1{
    position: sticky;
    top: 0;
}
.th-sticky2{
    position: sticky;
    top: 43px;
}

    </style>

</head>

<body>

<?php if($objGet->excel != 'excel'){ ?>
    <div class="noprint">
        <a href="#" onclick="window.close()">
        <img src="/promedika/assets/user/images/arrow.jpg" title="print" width="30" height="30">
        
        </a>
    </div>
<?php } ?>


<table id="tableLaporan" class="table">
    <thead>
      <tr>
            <th colspan="48">LAPORAN KEUANGAN PENJUALAN FARMASI RAWAT JALAN</th>
      </tr>
      <tr>
            <th></th>
            <th>Tanggal:</th>
            <th colspan="46" style="text-align: left"><?= $objGet->range ?></th>
      </tr>
      <tr>
        <th>No</th>
        <th>Nama Penderita</th>
        <th>No RM</th>
        <th>Nama Tindakan</th>
        <th>Nama Dokter</th>
        <th>Tanggal</th>
        <th>Jumlah</th>
        <th>Tarif</th>
        <th>Total</th>
<!--        <th>Jasa Pelayanan</th>-->
        <th>Cara Bayar</th>
        <th>Perawatan</th>
        <th>Status</th>
        <th>Retur</th>
        <th>Total Penjualan - Retur</th>
        <th>Total Penjualan - Retur (Rp.)</th>
      </tr>
    </thead>
    <tbody>
    <?php
    if ($objDbResult->CountRows() > 0) {
        $no = 0;
        $total += $row['current_billing'];
        while ($row = $objDbResult->FetchArray()) {
            $no++;
            $status = "";
            $id_bayar = $row['payment_bank'] ? $row['payment_bank'] : ($row['payment_cashier'] ? $row['payment_cashier'] : $row['payment_non_cash']); //jika var id_bayar tdk kosong berarti sudah bayar
            
            if($row['contract_service_code'] == 'TUNAI' || $row['contract_service_code'] == 'UMUM'){
                $tunai = true;
            }else{
                $tunai = false;
            }
            //logic status
            if($tunai && $row['nursing_category'] == 1 && !$id_bayar ){
                $status = 'BELUM BAYAR';
            }elseif(!$tunai && !$id_bayar){
                $status = "PELAYANAN";
            }elseif($tunai && $row['nursing_category'] != 1 && !$id_bayar){
                $status = "PELAYANAN";
            }elseif(!$tunai && $id_bayar){
                $status = 'PROSES KLAIM';
            }elseif($tunai && $id_bayar){
                $status = 'TERBAYAR';
            }elseif(!$tunai && $row['register_claimable'] == 'N'){
                $status = 'klaim dipindahkan';
            }



            // personal_payment_activity_id
            // contract_service_code
            // nursing_category
            // belum terbayar / proses klaim / terbayar

            
    ?>
    <tr>
        <td><?= $no ?></td>
        <td><?= $row['patient_name'] ?></td>
        <td><?= $row['patient_code'] ?></td>
        <td><?= $row['product_name'] ?></td>
        <td><?= $row['mediator_name'] ?></td>
        <td><?= $row['create_time'] ?></td>
        <td style="text-align:right"><?= $row['quantity'] ?></td>
        <td style="text-align:right"><?= $row['create_price'] ?></td>
        <td style="text-align:right"><?= $row['current_billing'] ?></td>
       <!-- <td style="text-align:right"><?= $row['k1'] ?></td>-->
        <td><?= $row['contract_service_name'] ?></td>
        <td><?= $row['department_name'] ?></td>
        <td><?= $status ?></td>
        <td style="text-align:right"><?= $row['return_quantity'] ?></td>
        <td style="text-align:right"><?= $row['quantity'] - $row['return_quantity'] ?></td>
        <td style="text-align:right"><?= $row['current_billing'] - $row['return_value'] ?></td>
    </tr>
    <?php
		$no++;
	        $totalrj += $row['current_billing'];
		$totalreturrj += $row['return_value'];
		$totalminreturrj += $row['current_billing']-$row['return_value'];
        }
    }
    ?>
<tr>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td align=right><?= ($totalrj) ?></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td align=right><?= ($totalreturrj) ?></td>
<td align=right><?= ($totalminreturrj) ?></td>
    </tbody>
</table>
<?php
$objGet = System::genObject('get');

list($minDate,$maxDate) = @explode(' - ',$objGet->range);
list($minDay,$minMonth,$minYear) = @explode('.',$minDate);
list($maxDay,$maxMonth,$maxYear) = @explode('.',$maxDate);

$objMinDate = new QDateTime($minYear.'-'.$minMonth.'-'.$minDay.'00:00:00');
$objMaxDate = new QDateTime($maxYear.'-'.$maxMonth.'-'.$maxDay.'23:59:59');

$objDb = QApplication::$Database[1];

$strWhereTambahan = "";
if($objGet->dokter){
    $strWhereTambahan1 = " AND mediator_id = '$objGet->dokter' ";
}
$strSql = "
    SELECT
    hmis_patient_nursing_adm_billing.patient_name,
    hmis_patient_nursing_adm_billing.patient_code,
    hmis_patient_nursing_adm_billing.product_name,
    hmis_patient_nursing_adm_billing.mediator_name,
    hmis_patient_nursing_adm_billing.patient_department_name,
    hmis_patient_nursing_adm_billing.quantity,
    hmis_patient_nursing_adm_billing.current_price,
    hmis_patient_nursing_adm_billing.current_billing,
    hmis_patient_nursing.contract_service_code,
    hmis_patient_nursing.contract_service_name,
    hmis_patient_nursing_adm_billing.state,
    hmis_patient_nursing_adm_billing.personal_payment_activity_id,
    hmis_patient_nursing_adm_billing.k1,
    hmis_patient_nursing_adm_billing.create_time,
    hmis_patient_nursing_adm_billing.return_quantity,
    hmis_patient_nursing_adm_billing.return_value,
    hmis_patient_nursing.nursing_category,
    hmis_patient_nursing.department_name,
    hmis_patient_nursing.register_claimable,
    hmis_patient_nursing_payment_kediri.payment_bank,
    hmis_patient_nursing_payment_kediri.payment_cashier,
    hmis_patient_nursing_payment_kediri.state,
    hmis_patient_nursing_payment_kediri.payment_non_cash
    FROM hmis_patient_nursing_adm_billing
    JOIN hmis_patient_nursing ON hmis_patient_nursing_adm_billing.patient_nursing_id = hmis_patient_nursing.id
    LEFT JOIN hmis_patient_nursing_payment_kediri ON (
        hmis_patient_nursing_adm_billing.personal_payment_activity_id = hmis_patient_nursing_payment_kediri.payment_bank
        OR hmis_patient_nursing_adm_billing.personal_payment_activity_id = hmis_patient_nursing_payment_kediri.payment_cashier
        OR hmis_patient_nursing_adm_billing.personal_payment_activity_id = hmis_patient_nursing_payment_kediri.payment_non_cash
        OR hmis_patient_nursing_adm_billing.personal_payment_activity_id = hmis_patient_nursing_payment_kediri.activity_id
        )
    WHERE
    hmis_patient_nursing_adm_billing.state = 'A'
    and hmis_patient_nursing_adm_billing.billing_group = '1'
    and hmis_patient_nursing_adm_billing.patient_department_name LIKE '%IGD%'
    AND hmis_patient_nursing_adm_billing.patient_nursing_on_partition BETWEEN '".$objMinDate->PhpDate('Y-m-d H:i:s')."' AND '".$objMaxDate->PhpDate('Y-m-d H:i:s')."'
    $strWhereTambahan
    ORDER BY
    hmis_patient_nursing_payment_kediri.state,
    hmis_patient_nursing_payment_kediri.payment_cashier ASC,
    hmis_patient_nursing.contract_service_code DESC,
    hmis_patient_nursing_adm_billing.billing_group desc,
    hmis_patient_nursing_adm_billing.product_name desc,
    hmis_patient_nursing.nursing_category DESC,

    hmis_patient_nursing_adm_billing.personal_payment_activity_id asc,
    hmis_patient_nursing.register_claimable desc
";
$temp = array();
$objDbResult = $objDb->Query($strSql);

if($objGet->excel == 'excel'){
    header("Content-type: application/vnd-ms-excel");
    header("Content-Disposition: attachment; filename=download.xls");
}
?>

<!DOCTYPE html>
<html>

<head>
    <meta charset='utf-8'>
    <meta http-equiv='X-UA-Compatible' content='IE=edge'>
    <title>Laporan</title>
    <meta name='viewport' content='width=device-width, initial-scale=1'>
    <script src="<?= __ASSETS__ . '/user/js/require.js' ?>"></script>
    <!-- <link href="<?= __ASSETS__ ?>/bootstrap/css/bootstrap.min.css" rel="stylesheet"> -->
    <style>

.table {
  font-family: Arial, Helvetica, sans-serif;
  font-size: 10px;
  border-collapse: collapse;
  width: 100%;
}

.table td, .table th {
  border: 1px solid #ddd;
  padding: 8px;
}

.table tr:nth-child(even){background-color: #f2f2f2;}

.table tr:hover {background-color: #ddd;}

.table th {
  padding-top: 12px;
  padding-bottom: 12px;
  text-align: center;
  background-color: #222;
  color: white;
}
.th-sticky1{
    position: sticky;
    top: 0;
}
.th-sticky2{
    position: sticky;
    top: 43px;
}

    </style>

</head>

<body>

<?php if($objGet->excel != 'excel'){ ?>
    <div class="noprint">
        <a href="#" onclick="window.close()">
        <img src="/promedika/assets/user/images/arrow.jpg" title="print" width="30" height="30">
        
        </a>
    </div>
<?php } ?>


<table id="tableLaporan" class="table">
    <thead>
      <tr>
            <th colspan="48">LAPORAN KEUANGAN PENJUALAN FARMASI RAWAT DARURAT</th>
      </tr>
      <tr>
            <th></th>
            <th>Tanggal:</th>
            <th colspan="46" style="text-align: left"><?= $objGet->range ?></th>
      </tr>
      <tr>
        <th>No</th>
        <th>Nama Penderita</th>
        <th>No RM</th>
        <th>Nama Tindakan</th>
        <th>Nama Dokter</th>
        <th>Tanggal</th>
        <th>Jumlah</th>
        <th>Tarif</th>
        <th>Total</th>
<!--        <th>Jasa Pelayanan</th>-->
        <th>Cara Bayar</th>
        <th>Perawatan</th>
        <th>Status</th>
        <th>Retur</th>
        <th>Total Penjualan - Retur</th>
        <th>Total Penjualan - Retur (Rp.)</th>
      </tr>
    </thead>
    <tbody>
    <?php
    if ($objDbResult->CountRows() > 0) {
        $no = 0;
        $total += $row['current_billing'];
        while ($row = $objDbResult->FetchArray()) {
            $no++;
            $status = "";
            $id_bayar = $row['payment_bank'] ? $row['payment_bank'] : ($row['payment_cashier'] ? $row['payment_cashier'] : $row['payment_non_cash']); //jika var id_bayar tdk kosong berarti sudah bayar
            
            if($row['contract_service_code'] == 'TUNAI' || $row['contract_service_code'] == 'UMUM'){
                $tunai = true;
            }else{
                $tunai = false;
            }
            //logic status
            if($tunai && $row['nursing_category'] == 1 && !$id_bayar ){
                $status = 'BELUM BAYAR';
            }elseif(!$tunai && !$id_bayar){
                $status = "PELAYANAN";
            }elseif($tunai && $row['nursing_category'] != 1 && !$id_bayar){
                $status = "PELAYANAN";
            }elseif(!$tunai && $id_bayar){
                $status = 'PROSES KLAIM';
            }elseif($tunai && $id_bayar){
                $status = 'TERBAYAR';
            }elseif(!$tunai && $row['register_claimable'] == 'N'){
                $status = 'klaim dipindahkan';
            }



            // personal_payment_activity_id
            // contract_service_code
            // nursing_category
            // belum terbayar / proses klaim / terbayar

            
    ?>
    <tr>
        <td><?= $no ?></td>
        <td><?= $row['patient_name'] ?></td>
        <td><?= $row['patient_code'] ?></td>
        <td><?= $row['product_name'] ?></td>
        <td><?= $row['mediator_name'] ?></td>
        <td><?= $row['create_time'] ?></td>
        <td style="text-align:right"><?= $row['quantity'] ?></td>
        <td style="text-align:right"><?= $row['create_price'] ?></td>
        <td style="text-align:right"><?= $row['current_billing'] ?></td>
       <!-- <td style="text-align:right"><?= $row['k1'] ?></td>-->
        <td><?= $row['contract_service_name'] ?></td>
        <td><?= $row['department_name'] ?></td>
        <td><?= $status ?></td>
        <td style="text-align:right"><?= $row['return_quantity'] ?></td>
        <td style="text-align:right"><?= $row['quantity'] - $row['return_quantity'] ?></td>
        <td style="text-align:right"><?= $row['current_billing'] - $row['return_value'] ?></td>
    </tr>
    <?php
		$no++;
	        $totalrd += $row['current_billing'];
		$totalreturrd += $row['return_value'];
		$totalminreturrd += $row['current_billing']-$row['return_value'];
        }
    }
    ?>
<tr>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td align=right><?= ($totalrd) ?></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td align=right><?= ($totalreturrd) ?></td>
<td align=right><?= ($totalminreturrd) ?></td>
    </tbody>
</table>


